Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name | ### constrain()
Examples |
    void draw()
    {
      background(204);
      float mx = constrain(mouseX, 30, 70);
      rect(mx-10, 40, 20, 20);
    }
Description | Constrains a value to not exceed a maximum and minimum value.
Syntax |
    constrain(value, min, max)
Parameters |
value | int or float: the value to constrain
min | int or float: minimum limit
max | int or float: maximum limit
Usage | Web & Application
Related | max() min()

Updated on December 20, 2005 02:03:00pm PST